Name:           perl-CPAN-Meta-Requirements
Version:        2.140
Release:        1%{?org_tag}%{?dist}
Summary:        Set of version requirements for a CPAN dist
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Meta-Requirements/
Source0:        http://localhost/cpan//authors/id/D/DA/DAGOLDEN/CPAN-Meta-Requirements-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.77
Requires:       perl(version) >= 0.77
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
A CPAN::Meta::Requirements object models a set of version constraints like
those specified in the META.yml or META.json files in CPAN distributions.
It can be built up by adding more and more constraints, and it will reduce
them to the simplest representation.

%prep
%setup -q -n CPAN-Meta-Requirements-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot} UNINST=0

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Sep 24 2016 Gavin Carr <gavin@openfusion.com.au> 2.140-1
- Update to version 2.140.

* Mon Sep 01 2014 Gavin Carr <gavin@openfusion.com.au> 2.126-1
- Update to version 2.126.

* Tue Mar 11 2014 Gavin Carr <gavin@openfusion.com.au> 2.125-1
- Update to version 2.125.

* Sun Sep 22 2013 Gavin Carr <gavin@openfusion.com.au> 2.123-1
- Update to version 2.123.

* Mon Sep 10 2012 Gavin Carr <gavin@openfusion.com.au> 2.122-1
- Specfile autogenerated by cpanspec 1.79.
